CREATE OR REPLACE FUNCTION check_rc (char) RETURNS bool
  AS 'rodne_cislo_fce.so', 'check_rc' LANGUAGE 'C' STRICT;

CREATE OR REPLACE FUNCTION birth_date (char) RETURNS date
  AS 'rodne_cislo_fce.so', 'birth_date' LANGUAGE 'C' STRICT;

CREATE OR REPLACE FUNCTION sex (char) RETURNS char
  AS 'rodne_cislo_fce.so', 'sex' LANGUAGE 'C' STRICT;

GRANT EXECUTE ON FUNCTION check_rc(char) TO PUBLIC;
GRANT EXECUTE ON FUNCTION birth_date(char) TO PUBLIC;
GRANT EXECUTE ON FUNCTION sex(char) TO PUBLIC;
